<sqtm-core-creation-dialog
  (add)="confirm()"
  (addAnother)="addAnother()"
  [attr.data-test-dialog-id]="'add-permission-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div>
        <div class="m-10" [formGroup]="formGroup">
          <div class="sqtm-core-dialog-form p-4">
            <label class="label label__align_right">
              {{ this.data.i18nPartyTypeLabel | translate }}
            </label>
            <div>
              <sqtm-core-grouped-multi-list-field
                [listItems]="listItems"
                [virtualScroll]="true"
                [separateSelectedItems]="true"
                [placeHolder]="data.i18nPlaceholder | translate"
                (valueChanged)="selectedPartiesChanged($event)"
              >
              </sqtm-core-grouped-multi-list-field>
            </div>

            <div class="has-error grid-column-start-2">
              @for (error of errorsOnMultiListField; track error) {
                <div class="sqtm-core-error-message">
                  {{ error | translate }}
                </div>
              }
            </div>

            <label class="label label__align_right">{{
              'sqtm-core.administration-workspace.views.project.permissions.profile.label'
                | translate
            }}</label>
            <sqtm-core-select-field
              [attr.data-test-field-name]="'permission-profile'"
              [formGroup]="formGroup"
              [disabled]="true"
              [fieldName]="'group'"
              [options]="profileOptions"
              [serverSideFieldValidationError]="serverSideValidationErrors"
              [placeHolder]="
                'sqtm-core.administration-workspace.views.project.permissions.profile.placeholder'
                  | translate
              "
            >
            </sqtm-core-select-field>
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-creation-dialog>
